Create Pricing Feed
1 min
POST
https://api.upstartcommerce.com/v1/pricingfeed
acceptstringGenerated from available response content types
x-upstart-tenantstringUpStart Tenant
x-upstart-sitestringUpStart Site
filetypestring
filestring<binary>
202Feed file created with feed ID
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
curl --request POST \
--url https://api.upstartcommerce.com/v1/pricingfeed \
--header 'accept: application/json' \
--header 'content-type: multipart/form-data' \
--header 'x-upstart-tenant: string' \
--header 'x-upstart-site: string' \
--form 'filetype="string"' \
--form 'file=@"/path/to/file"'